[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.Destroy

Destroy - destructor for TCustomMemo: frees stringlist and scrollbars then calls inherited Destroy

## Declaration

Source position: stdctrls.pp line 829

`public destructor TCustomMemo.Destroy; override;`

## Description

Destroy - destructor for TCustomMemo: frees stringlist and scrollbars then calls inherited Destroy

The ancestor destructor removes the resources that have been used, in a systematic and orderly way

## See also

TWinControl.Destroy |  | Destroy - destructor for TWinControl and derived classes. Removes handles and docked controls, frees resources, then calls inherited Destroy

The latest version of this document can be found at lazarus-ccr.sourceforge.net.